%define anolis_release 2
# when bootstrapping, we cannot yet use sphinx and pytest
%bcond_without docs
%bcond_without tests

Name:           python-pygments
Version:        2.15.1
Release:        %{anolis_release}%{?dist}
Summary:        Syntax highlighting engine written in Python

License:        BSD
URL:            https://pygments.org/
Source0:        %{pypi_source Pygments}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-lxml
%endif
%if %{with docs}
BuildRequires:  make
BuildRequires:  python3-sphinx
# the sphinx config imports tests.contrast.test_contrasts:
BuildRequires:  python3-wcag-contrast-ratio
%endif


%global _description %{expand:
Pygments is a generic syntax highlighter suitable for use in code hosting,
forums, wikis or other applications that need to prettify source code.

Highlights are:

 * a wide range of over 500 languages and other text formats is supported
 * special attention is paid to details that increase highlighting quality
 * support for new languages and formats are added easily;
   most languages use a simple regex-based lexing mechanism
 * a number of output formats is available, among them HTML, RTF, LaTeX
   and ANSI sequences
 * it is usable as a command-line tool and as a library}

%description %_description


%package -n python3-pygments
Summary:        %{summary}
Provides:       pygmentize = %{version}-%{release}

%description -n python3-pygments %_description


%prep
%autosetup -p1 -n Pygments-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pygments

install -m0644 doc/pygmentize.1 -Dt %{buildroot}%{_mandir}/man1/

%if %{with docs}
%make_build -C doc html
rm doc/_build/html/.buildinfo
rm -rf doc/_build/html/_sources
%endif


%if %{with tests}
%check
%pytest --ignore tests/contrast/test_contrasts.py
%endif

%files -n python3-pygments -f %{pyproject_files}
%doc AUTHORS CHANGES
%license LICENSE
%{_bindir}/pygmentize
%if %{with docs}
%{_mandir}/man1/pygmentize.1*
%doc doc/_build/html
%endif


%changelog
* Tue Mar 26 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.15.1-2
- Rebuild with python3.11

* Sat Jul 22 2023 Funda Wang <fundwang@yeah.net> - 2.15.1-1
- New version 2.15.1

* Sat Jan 21 2023 Funda Wang <fundwang@yeah.net> - 2.14.0-1
- Import package for anolis 23
